[BACK]Return to MESSAGE CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / www / ap-php

File: [cvs.NetBSD.org] / pkgsrc / www / ap-php / MESSAGE (download)

Revision 1.3, Fri Aug 12 12:24:52 2011 UTC (8 years, 10 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2014Q2-base, pkgsrc-2014Q2, pkgsrc-2014Q1-base, pkgsrc-2014Q1, pkgsrc-2013Q4-base, pkgsrc-2013Q4, pkgsrc-2013Q3-base, pkgsrc-2013Q3, pkgsrc-2013Q2-base, pkgsrc-2013Q2, pkgsrc-2013Q1-base, pkgsrc-2013Q1, pkgsrc-2012Q4-base, pkgsrc-2012Q4, pkgsrc-2012Q3-base, pkgsrc-2012Q3, pkgsrc-2012Q2-base, pkgsrc-2012Q2, pkgsrc-2012Q1-base, pkgsrc-2012Q1, pkgsrc-2011Q4-base, pkgsrc-2011Q4, pkgsrc-2011Q3-base, pkgsrc-2011Q3
Changes since 1.2: +3 -3 lines

Correct apache's module name in the MESSAGE file.

Bump PKGREVISION.

===========================================================================
$NetBSD: MESSAGE,v 1.3 2011/08/12 12:24:52 taca Exp $

In order to use this module in your Apache 1.x installation, you need to
add the following to your httpd.conf file:

  LoadModule php${PKG_PHP_MAJOR_VERS}_module lib/httpd/mod_php${PKG_PHP_MAJOR_VERS}.so
  AddType application/x-httpd-php .php

You may also add following if you still use .php3 files:

  AddType application/x-httpd-php .php3

For Apache 2.x installation, you need following:

  LoadModule php${PKG_PHP_MAJOR_VERS}_module lib/httpd/mod_php${PKG_PHP_MAJOR_VERS}.so
  AddHandler application/x-httpd-php .php

You may also add following if you still use .php3 files:

  AddHandler application/x-httpd-php .php3

===========================================================================